digiKam Developer Documentation: Digikam::DBJobsManager Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::DBJobsManager Class Reference
Inheritance diagram for Digikam::DBJobsManager:

## Public Member Functions
AlbumsDBJobsThread * | startAlbumsJobThread (const AlbumsDBJobInfo &jInfo)
| startAlbumsJobThread: creates and starts Albums Job Thread
DatesDBJobsThread * | startDatesJobThread (const DatesDBJobInfo &jInfo)
| startDatesJobThread: creates and starts Dates Job Thread
GPSDBJobsThread * | startGPSJobThread (const GPSDBJobInfo &jInfo)
| startGPSJobThread: creates and starts GPS Job Thread
SearchesDBJobsThread * | startSearchesJobThread (const SearchesDBJobInfo &jInfo)
| startSearchesJobThread: creates and starts Searches Job Thread
TagsDBJobsThread * | startTagsJobThread (const TagsDBJobInfo &jInfo)
| startTagsJobThread: creates and starts Tag Job Thread

## Static Public Member Functions
static DBJobsManager * | instance ()
| instance: returns DBJobsManager singleton

## Member Function Documentation

## ◆ instance()

DBJobsManager * Digikam::DBJobsManager::instance | ( |  | ) |
| static

Returns
  DBJobsManager global instance

## ◆ startAlbumsJobThread()

AlbumsDBJobsThread * Digikam::DBJobsManager::startAlbumsJobThread | ( | const AlbumsDBJobInfo & | jInfo | ) |

Parameters

  jInfo | holds job info about the DB job

Returns
  AlbumsDBJobsThread instance for signal/slot connection

## ◆ startDatesJobThread()

DatesDBJobsThread * Digikam::DBJobsManager::startDatesJobThread | ( | const DatesDBJobInfo & | jInfo | ) |

Parameters

  jInfo | holds job info about the DB job

Returns
  DatesDBJobsThread instance for signal/slot connection

## ◆ startGPSJobThread()

GPSDBJobsThread * Digikam::DBJobsManager::startGPSJobThread | ( | const GPSDBJobInfo & | jInfo | ) |

Parameters

  jInfo | holds job info about the DB job

Returns
  GPSDBJobsThread instance for signal/slot connection

## ◆ startSearchesJobThread()

SearchesDBJobsThread * Digikam::DBJobsManager::startSearchesJobThread | ( | const SearchesDBJobInfo & | jInfo | ) |

Parameters

  jInfo | holds job info about the DB job

Returns
  SearchesDBJobsThread instance for signal/slot connection

## ◆ startTagsJobThread()

TagsDBJobsThread * Digikam::DBJobsManager::startTagsJobThread | ( | const TagsDBJobInfo & | jInfo | ) |

Parameters

  jInfo | holds job info about the DB job

Returns
  TagsDBJobsThread instance for signal/slot connection